package uk.co.his.I78;

import javax.persistence.Basic;
import javax.persistence.DiscriminatorColumn;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.ManyToOne;
import javax.persistence.Version;

@Entity
@Inheritance(strategy=InheritanceType.SINGLE_TABLE)
@DiscriminatorColumn
public class Item {
	
	@Id
	protected String id;

	@Version protected int version;

	public Item() {
	}

	public void setUUID() {
	    id = java.util.UUID.randomUUID().toString();
	}

	@ManyToOne(fetch=FetchType.LAZY)
    private Container container;
	
	public Container getContainer() {
		return container;
	}

	public void setContainer(Container container) {
		this.container = container;
	}

	@Basic
	java.lang.String key;

	public void setKey(String key) {
		this.key = key;
	}
}
