package uk.co.his.I78;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {

	public static final boolean FAIL = true;
	
	private static void doTest(String key, EntityManager em, boolean setTestStr, boolean fail) {
		Container sing = Container.getInstance(em);
		@SuppressWarnings("unused")
		Item item;
		if(!fail) {
			item = sing.addItem(key, em);
		}
		if(setTestStr) {
			sing.setTestString("Hello World");
		}
		if(fail) {
			item = sing.addItem(key, em);
		}
	}
	
	public static void main(String[] args) {

		try {
			EntityManagerFactory emf = Persistence.createEntityManagerFactory("TestI78_ObjectDbPU");

			EntityManager em = emf.createEntityManager();
			em.setFlushMode(javax.persistence.FlushModeType.AUTO);
			em.getTransaction().begin();
			doTest("Key1", em, false, false);
			em.getTransaction().commit();
			em.close();


			em = emf.createEntityManager();
			em.setFlushMode(javax.persistence.FlushModeType.AUTO);
			em.getTransaction().begin();
			doTest("Key2", em, true, FAIL);
			em.getTransaction().commit();
			em.close();

			emf.close();
			System.out.println("Success!!!");
		} catch (Exception ex) {
			System.err.println("Failed!!!");
			ex.printStackTrace();
			
		}

	}
}
